Summary:   Tool to convert between any document format supported by LibreOffice
Name:      unoconv
Version:   0.5
Release:   1%{?dist}
License:   GPLv2
Group:     System Environment/Base
URL:       http://dag.wieers.com/home-made/unoconv/
Source:    http://dag.wieers.com/home-made/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
%if 0%{fedora} < 15
Requires:  openoffice.org-brand
Requires:  openoffice.org-pyuno
%else
Requires:  libreoffice-core
Requires:  libreoffice-pyuno
%endif

%description
unoconv converts between any document format that LibreOffice understands.
It uses LibreOffice's UNO bindings for non-interactive conversion of
documents.

Supported document formats include Open Document Format (.odf), MS Word (.doc),
MS Office Open/MS OOXML (.xml), Portable Document Format (.pdf), HTML, XHTML,
RTF, Docbook (.xml), and more.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
make install DESTDIR="%{buildroot}"

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING README.asciidoc WISHLIST docs/ tests/
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}

%changelog
* Mon Mar 26 2012 David Tardon <dtardon@redhat.com> - 0.5-1
- new upstream release

* Mon Mar 26 2012 David Tardon <dtardon@redhat.com> - 0.4-6

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 30 2010 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.4-3
- Add missing Requires on openoffice.org-brand/libreoffice-core. RHBZ#658576

* Sat Nov 13 2010 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.4-2
- Backport some upstream fixes (LD_LIBRARY_PATH issue and -o flag issue)

* Fri Nov 12 2010 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.4-1
- Update to 0.4

* Sat Oct 30 2010 Caolán McNamara <caolanm@redhat.com> - 0.3-5
- rebuild for LibreOffice

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May 07 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.3-3
- Fix rpmlints
- Prepare package for Fedora review

* Sun Feb 22 2009 Peter Hanecak <hany@hany.sk> 0.3-2
- used %%{?dist} in release number
- license GPLv2

* Wed Dec 19 2007 Dag Wieers <dag@wieers.com> - 0.3-2 - 5993+/dag
- Fixed openoffice.org2 dependency on RHEL4.

* Sat Sep 01 2007 Dag Wieers <dag@wieers.com> - 0.3-1
- Updated to release 0.3.

* Sun May 20 2007 Dag Wieers <dag@wieers.com> - 0.2-1
- Updated to release 0.2.

* Sat May 19 2007 Dag Wieers <dag@wieers.com> - 0.1-1
- Initial package. (using DAR)
